<sqtm-core-customisable-dialog
  [titleKey]="
    'sqtm-core.test-case-workspace.dialog.title.action-word-paste-dialog'
  "
  [dialogId]="'action-wordpaste-dialog'"
>
  <sqtm-core-dialog-body>
    <div class="p-10">
      <p>
        {{
          'sqtm-core.test-case-workspace.dialog.message.action-word-paste-dialog'
            | translate
        }}
      </p>
      <nz-radio-group class="flex-column" [(ngModel)]="selectedProjectId">
        @for (data of pasteDialogData; track data) {
          <div>
            <label nz-radio [nzValue]="data.projectId">
              <span class="radio-text" [innerHTML]="data.optionLabel"></span>
            </label>
          </div>
        }
      </nz-radio-group>
    </div>
  </sqtm-core-dialog-body>
  <sqtm-core-dialog-footer>
    <button
      [attr.data-test-dialog-button-id]="'confirm'"
      class="flex-fixed-size"
      nz-button
      nzType="primary"
      (click)="handleConfirm()"
    >
      {{ 'sqtm-core.generic.label.confirm' | translate }}
    </button>
    <button
      [attr.data-test-dialog-button-id]="'cancel'"
      class="flex-fixed-size m-l-10"
      nz-button
      nzType="default"
      sqtmCoreDialogClose
    >
      {{ 'sqtm-core.generic.label.cancel' | translate }}
    </button>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
